<?php

namespace BotKit\Entities;

use BotKit\Enums\State;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: CollegeGroupRepository::class)]
#[ORM\Table(name: 'college_group')]
class CollegeGroup {
    #[ORM\Id]
    #[ORM\Column(type: 'integer')]
    #[ORM\GeneratedValue]
    private int|null $id = null;

    // Год поступления в техникум
    #[ORM\Column(type: 'integer')]
    private int $enrollment_year;

    // Специальность группы
    #[ORM\ManyToOne(CollegeSpec::class)]
    #[ORM\JoinColumn(nullable: false)]
    private CollegeSpec $spec;

    public function getID() {
        return $this->id;
    }

    public function getSpec() {
        return $this->spec;
    }

    public function setSpec(CollegeSpec $spec) {
        $this->spec = $spec;
    }

    public function setEnrollmentYear(int $year) {
        $this->enrollment_year = $year;
    }
}