<?php

namespace BotKit\Entities;

use Doctrine\ORM\EntityRepository;

class CollegeGroupRepository extends EntityRepository {

    // Возвращает группы по курсу
    public function getAllGroupsByCourse(int $course_num) {
        // Определяем текущий год и месяц
        $current_year = (int)date('Y');
        $current_month = (int)date('m');

        // Определяем год поступления группы в соответствии с требуемым курсом
        // и текущим годом
        if ($current_month > 8) {
            // Сейчас начало учебного года
            $target_year = $current_year - $course_num + 1;
        } else {
            // Сейчас конец учебного года
            $target_year = $current_year - $course_num;
        }

        return $this->findBy(['enrollment_year' => $target_year]);
    }
}