<?php

namespace BotKit\Entities;

use BotKit\Enums\State;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity]
#[ORM\Table(name: 'pair')]
class Pair {
    #[ORM\Id]
    #[ORM\Column(type: 'integer')]
    #[ORM\GeneratedValue]
    private int|null $id = null;

    // Для какого расписания
    #[ORM\ManyToOne(Schedule::class)]
    #[ORM\JoinColumn(nullable: false)]
    private Schedule $schedule;

    // Время проведения
    #[ORM\Column(type: 'time', name: 'ptime')]
    private \Datetime $time;

    // Название пары
    #[ORM\ManyToOne(PairName::class)]
    #[ORM\JoinColumn(nullable: false)]
    private PairName $pair_name;

    // Кто проводит пару
    #[ORM\ManyToOne(Employee::class)]
    #[ORM\JoinColumn(nullable: false)]
    private Employee $teacher;

    // Место проведения
    #[ORM\ManyToOne(PairPlace::class)]
    #[ORM\JoinColumn(nullable: false)]
    private PairPlace $place;
}