<?php

namespace BotKit\Entities;

use BotKit\Enums\State;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity]
#[ORM\Table(name: 'student')]
class Student {
    #[ORM\Id]
    #[ORM\Column(type: 'integer')]
    #[ORM\GeneratedValue]
    private int|null $id = null;

    // Связанный пользователь
    #[ORM\OneToOne(User::class)]
    #[ORM\JoinColumn(nullable: false)]
    private User $user;

    // Группа студента
    #[ORM\ManyToOne(CollegeGroup::class)]
    #[ORM\JoinColumn(nullable: false)]
    private CollegeGroup $group;
    
    // Логин от АВЕРС
    #[ORM\Column(type: 'string', length: 64, nullable: true)]
    private ?string $avers_login = null;

    // Пароль от АВЕРС
    #[ORM\Column(type: 'string', length: 255, nullable: true)]
    private ?string $avers_password = null;

    // Отчислен ли студент
    #[ORM\Column(type: 'boolean')]
    private bool $expelled = false;
}