<?php
namespace BotKit\Events;

use BotKit\Entities\User;
use BotKit\Common\Chat;
use BotKit\Enums\CallbackType;

class CallbackEvent extends Event {
    public function __construct(
        // ID сообщения с которым связан обратный вызов
        private $message_id,

        // Пользователь, вызвавший обратный вызов
        protected User $user,

        // Чат, в котором был вызван обратный вызов
        private Chat $chat,

        // Тип обратного вызова
        private CallbackType $callbackType,

        // Параметры обратного вызова
        // Ключи массива - названия параметров
        // Значения - значения
        private array $params,
    ) {}

    public function getMessageID() {
        return $this->message_id;
    }

    public function getChat() : Chat {
        return $this->chat;
    }

    public function getCallbackType() : CallbackType {
        return $this->callbackType;
    }

    public function getParams() : array {
        return $this->params;
    }
}