<?php
namespace BotKit\Events;

use BotKit\Entities\User;
use BotKit\Common\Chat;

class PlainMessageEvent extends Event {
    public function __construct(
        private $message_id,
        protected User $user,
        private Chat $chat,
        private string $text,
        private array $attachments,
    ) {}

    public function getChat() : Chat {
        return $this->chat;
    }

    public function getText() : string {
        return $this->text;
    }

    public function getAttachments() : array {
        return $this->attachments;
    }

    public function getMessageID() {
        return $this->message_id;
    }
}