<?php
// Кнопка клавиатуры, нажав на которую отправляется запрос обратного вызова
// какой-либо функции

namespace BotKit\KeyboardButtons;

use BotKit\Enums\KeyboardButtonColor;
use BotKit\Enums\CallbackType;

class CallbackButton extends KeyboardButton {

	// Тип вызова. Аналог состояния пользователя
	private $type;

	// Дополнительная информация
	private $payload;

	public function __construct
	(
		string $text,
		CallbackType $type,
		$color = KeyboardButtonColor::None,
		array $payload = []
	)
	{
		$this->text = $text;
		$this->color = $color;
		$this->type = $type;
		$this->payload = $payload;
	}

	public function getType() {
		return $this->type;
	}

	public function getPayload() {
		return $this->payload;
	}
}