<?php

// Клавиатура выбора курса группы
// После выбора курса клавиатура изменится так, что будет показывать
// специальности

namespace BotKit\Keyboards;

use BotKit\KeyboardButtons\CallbackButton;
use BotKit\Enums\KeyboardButtonColor;
use BotKit\Enums\CallbackType;

class SelectGroupCourseKeyboard extends Keyboard {
	#region Драйвер-зависимые свойства
	public $tg_resize=true;
	public $tg_onetime=false;
	public $tg_specific=true;
	public $inline=true;
	#endregion

	public function __construct($intent) {
		// $intent - дополнительное значение для типа обратного вызова
		// Обозначает что необходимо выполнить после того, как будет выбрана
		// специальность
		
		$this->layout =
		[
			[
				new CallbackButton(
					"1",
					CallbackType::SelectGroupCourse,
					KeyboardButtonColor::Primary,
					["intent" => $intent, "course" => 1]
				),
				new CallbackButton(
					"2",
					CallbackType::SelectGroupCourse,
					KeyboardButtonColor::Primary,
					["intent" => $intent, "course" => 2]
				)
			],
			[
				new CallbackButton(
					"3",
					CallbackType::SelectGroupCourse,
					KeyboardButtonColor::Primary,
					["intent" => $intent, "course" => 3]
				),
				new CallbackButton(
					"4",
					CallbackType::SelectGroupCourse,
					KeyboardButtonColor::Primary,
					["intent" => $intent, "course" => 4]
				)
			]
		];
	}

	public static bool $cacheable = false;
}