<?php

// Клавиатура выбора группы

namespace BotKit\Keyboards;

use BotKit\KeyboardButtons\CallbackButton;
use BotKit\Enums\KeyboardButtonColor;
use BotKit\Enums\CallbackType;

use BotKit\Entities;
use BotKit\Common\Database;

class SelectGroupNameKeyboard extends Keyboard {
	#region Драйвер-зависимые свойства
	public $tg_resize=true;
	public $tg_onetime=false;
	public $tg_specific=true;
	public $inline=true;
	#endregion

	public function __construct($intent, int $course) {
		// $intent - дополнительное значение для типа обратного вызова
		// Обозначает что необходимо выполнить после того, как будет выбрана
		// специальность

		// $course - курс, выбранный ранее
		
        $em = Database::getEM();
		$this->layout = [];

        // Искать по году зачисления
        $groups = $em
			->getRepository(Entities\CollegeGroup::class)
			->getAllGroupsByCourse($course);

		$row_item_count = 0;
		$row = [];

		foreach ($groups as $group) {
			$row[] = new CallbackButton(
				$group->getName(),
				CallbackType::SelectGroup,
				KeyboardButtonColor::None,
				['group_id' => $group->getID(), 'intent' => $intent]
			);

			// Только 3 кнопки на ряд
			$row_item_count++;
			if ($row_item_count == 3) {
				$this->layout[] = $row;
				$row = [];
				$row_item_count = 0;
			}
		}

		if ($row_item_count != 0) {
			// На последний ряд
			$this->layout[] = $row;
		}
	}

	public static bool $cacheable = false;
}